program Prevod;
uses Crt2, Dos;

var
	ch2: char;
	fZ: text;
	fDo: text;
	fXlt: text;
	prevodTab: array [0..255] of byte;
	koren: string;
	aktualni: string;
	novy: string;
	hledany: searchRec;
	tabulka: string;

procedure DelTree (adresar: string);
	var
		f: file;
		puvAdr: string;
		soubor: searchRec;
	begin
		GetDir (0, puvAdr);
		{$I-}
		ChDir (adresar);
		{$I+}
		if IOResult = 0 then begin
			FindFirst ('*.*', anyFile, soubor);
			while DosError = 0 do begin
				if soubor.attr mod 32 >= 16 then begin
					if (soubor.name <> '..') and (soubor.name <> '.') then
						DelTree (soubor.name);
					end
				else begin
					Assign (f, soubor.name);
					Erase (f);
					end;
				FindNext (soubor);
				end;
			ChDir (puvAdr);
			RmDir (adresar);
			end;
		end;

procedure Hledani;
	begin
		FindFirst (ParamStr (1), anyfile, hledany);
		GetDir (0, aktualni);
		novy:= koren + '\..\' + ParamStr (3) + Copy (aktualni,
			Length (koren) + 1, Length (aktualni) - Length (koren));
		MkDir (novy);
		while DosError = 0 do begin
			if hledany.attr mod 32 < 16 then begin
				Assign (fZ, hledany.name);
				Reset (fZ);
				Assign (fDo, novy + '\' + hledany.name);
				Rewrite (fDo);
				while not Eof (fZ) do begin
					Read (fZ, ch);
					Write (fDo, Chr (prevodTab [Ord (ch)]));
					end;
				Close (fZ);
				Close (fDo);
				end;
			FindNext (hledany);
			end;
		end;

procedure NajdiAdresar;
	var
		adresar: searchRec;
	begin
		FindFirst ('*.*', directory, adresar);
		while DosError = 0 do begin
			if adresar.name = '.' then Hledani
			else if (adresar.attr mod 32 >= 16) and (adresar.name <> '..')
				then begin
				Chdir (adresar.name);
				NajdiAdresar;
				end;
			FindNext (adresar);
			end;
		ChDir ('..');
		end;

begin
	if ParamCount < 3 then begin
		WriteLn ('Program slouc k pevodu nkolika soubor do jin kdov ',
			'strnky.');
		WriteLn ('Pouit: Prevod sourceFile(s).ext convTableFile.ext destDir');
		WriteLn ('Pozor: Bez ptan bude smazn cel adres ..\destDir.');
		WriteLn ('Jako convTableFile se pouvaj standartn soubory .xlt.');
		Halt (0);
		end;
	for i:= 0 to 255 do
		prevodTab [i]:= i;
	tabulka:= ParamStr (2);
	Assign (fXlt, tabulka);
	Reset (fXlt);
	while not Eof (fXlt) do begin
		Read (fXlt, ch);
		Read (fXlt, ch2);
		prevodTab [Ord (ch)]:= Ord (ch2);
		end;
	Close (fXlt);
	GetDir (0, koren);
	DelTree ('..\' + ParamStr (3));
	NajdiAdresar;
	ChDir (koren);
	end.
